myproj\plugins\datasources-0.5\DatasourcesGrailsPlugin.groovy: 14: unable to resolve class org.codehaus.groovy.grails.orm.hibernate.validation.HibernateDomainClassValidator

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

myproj\plugins\datasources-0.5\DatasourcesGrailsPlugin.groovy: 14: unable to resolve class org.codehaus.groovy.grails.orm.hibernate.validation.HibernateDomainClassValidator

Julian Andres Guarin Reyes

Hi,

 

I’m on charge of solving several problems on a Web application for a customer company. I took the last snapshot of the web application provided by the software company who wrote it and start figuring out things. First thing I figured out that it was made on Grails 1.0.4. So I downloaded the framework followed a couple tutorials and finally wall-hit-ed with this problem. I even have surfed google with the error message, but nevertheless I haven’t managed to figure out what it is.

 

$ grails run-app

 

Welcome to Grails 1.0.4 - http://grails.org/

Licensed under Apache Standard License 2.0

Grails home is set to: C:/grails104

 

Base Directory: C:\code\SIPIDinamico01062011

Multiple options please select:

[1] C:\code\SIPIDinamico01062011\scripts\RunApp.groovy

[2] C:\grails104\scripts\RunApp.groovy

Enter #  (1, 2)

1

Running script C:\code\SIPIDinamico01062011\scripts\RunApp.groovy

Environment set to development

  [groovyc] Compiling 1 source file to C:\Users\jguarin\.grails\1.0.4\projects\SIPIDinamico01062011\classes

org.codehaus.groovy.control.MultipleCompilationErrorsException: startup failed, C:\code\SIPIDinamico01062011\plugins\datasources-0.5\DatasourcesGrailsPlugin.groovy: 14: unable to resolve class org.codehaus.groovy.grails.orm.hibernate.validation.HibernateDomainClassValidator

@ line 14, column 1.

   import org.codehaus.groovy.grails.orm.hibernate.validation.HibernateDomainClassValidator

   ^

 

1 error

 

        at org.codehaus.groovy.control.ErrorCollector.failIfErrors(ErrorCollector.java:296)

        at org.codehaus.groovy.control.CompilationUnit.applyToSourceUnits(CompilationUnit.java:787)

        at org.codehaus.groovy.control.CompilationUnit.compile(CompilationUnit.java:438)

        at org.codehaus.groovy.control.CompilationUnit.compile(CompilationUnit.java:417)

        at Package$_run_closure7_closure22.doCall(Package.groovy:238)

        at Package$_run_closure7_closure22.doCall(Package.groovy)

        at Init$_run_closure6.doCall(Init.groovy:131)

        at Package$_run_closure7.doCall(Package.groovy:237)

        at Package$_run_closure7.doCall(Package.groovy)

        at Package$_run_closure3.doCall(Package.groovy:161)

        at Package$_run_closure3.doCall(Package.groovy)

        at RunSipi$_run_closure1.doCall(RunSipi.groovy:10)

        at RunSipi$_run_closure1.doCall(RunSipi.groovy)

        at RunApp_groovy$_run_closure1.doCall(RunApp_groovy:10)

        at RunApp_groovy$_run_closure1.doCall(RunApp_groovy)

        at gant.Gant.dispatch(Gant.groovy:271)

        at gant.Gant.this$2$dispatch(Gant.groovy)

        at gant.Gant.invokeMethod(Gant.groovy)

        at gant.Gant.processTargets(Gant.groovy:436)

        at gant.Gant.processArgs(Gant.groovy:372)

Error loading plugin manager: startup failed, C:\code\SIPIDinamico01062011\plugins\datasources-0.5\DatasourcesGrailsPlugin.groovy: 14: unable to resolve class org.codehaus.groovy.grails.orm.hibernate.validation.HibernateDomainClassValidator

@ line 14, column 1.

   import org.codehaus.groovy.grails.orm.hibernate.validation.HibernateDomainClassValidator

   ^

 

1 error

 

The offending line is an import statement on the file mentioned on the error line (DatasourcesGrailsPlugin.groovy):

 

.

.

.

12     import org.codehaus.groovy.grails.orm.hibernate.support.GrailsOpenSessionInViewInterceptor

13     import org.codehaus.groovy.grails.orm.hibernate.support.SpringLobHandlerDetectorFactoryBean

14     import org.codehaus.groovy.grails.orm.hibernate.validation.HibernateDomainClassValidator

15     import org.codehaus.groovy.grails.orm.hibernate.validation.UniqueConstraint

16     import org.codehaus.groovy.grails.validation.ConstrainedProperty

.

.

.

 

 

Im a TOTAL newbie on Grails so a little help would be appreciated.

 

Reply | Threaded
Open this post in threaded view
|

Re: myproj\plugins\datasources-0.5\DatasourcesGrailsPlugin.groovy: 14: unable to resolve class org.codehaus.groovy.grails.orm.hibernate.validation.HibernateDomainClassValidator

Ian Roberts
On 29/05/2012 16:20, Julian Andres Guarin Reyes wrote:
> Hi,
>
> I’m on charge of solving several problems on a Web application for a
> customer company. I took the last snapshot of the web application
> provided by the software company who wrote it and start figuring out
> things. First thing I figured out that it was made on Grails 1.0.4. So I
> downloaded the framework followed a couple tutorials and finally
> wall-hit-ed with this problem. I even have surfed google with the error
> message, but nevertheless I haven’t managed to figure out what it is.

http://grails.org/plugin/datasources suggests that version 0.5 of the
datasources plugin requires Grails 1.1.1 or later.  You may need to try
an earlier version of the plugin.

Ian

P.S. Just to warn you, Grails 1.0.x is considered "ancient history" and
if you have any significant problems with it the most likely response
from this list will be to ask whether it's possible to upgrade your
application to a more recent version of Grails.  Upgrading from 1.0.x to
1.3.x or 2.0.x is not a trivial task by any means, but you may wish to
consider it anyway if you're going to be doing any significant new
development on your application.

--
Ian Roberts               | Department of Computer Science
[hidden email]  | University of Sheffield, UK

---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email


Reply | Threaded
Open this post in threaded view
|

RV: [grails-user] myproj\plugins\datasources-0.5\DatasourcesGrailsPlugin.groovy: 14: unable to resolve class org.codehaus.groovy.grails.orm.hibernate.validation.HibernateDomainClassValidator

Julian Andres Guarin Reyes

 

Ian thank you for your kind answer.. some observations on the matter..:

 

1.- I see your point on upgrading the code and believe me I have thought about that, but I don't know where to start to be honest, because I don't have any expertise on grails or java (where I have made some pet code examply code) whatsoever.
If I'd take my chances on that path, what would you recommend me.. where should I search for to upgrade the code that relies upon datasource plugin?. Where can I found good reasonable reliable info on the plugin subject?

 

 

 

2. But I have tried to run the code on Grails 2.0.3! The thing is that Grails 2.x doesn’t need a plugin such as datasources... Grails-2.x seems to have built in functionality to replace the plugin at all.... However the code I have been given, relies (I don’t know if heavily) on the datasources plugin. When I run the app on grails 2.0.3 errors related to datasources plugin pop in.....

 

Let me show you:

 

jguarin@jguarin ~/code/SIPIDinamico01062011

$ grails run-app

cygpath: can't convert empty path

 

| Loading Grails 2.0.3

| Configuring classpath

Resolving [build] dependencies...

:: resolving dependencies :: org.grails.internal#sipi;APP_VER

        confs: [build]

        found org.springframework.uaa#org.springframework.uaa.client;1.0.1.RELEASE in cache

        found com.google.protobuf#protobuf-java;2.3.0 in cache

        found com.googlecode.json-simple#json-simple;1.1 in cache

        found org.bouncycastle#bcpg-jdk15;1.45 in cache

        found org.bouncycastle#bcprov-jdk15;1.45 in cache

        found org.tmatesoft.svnkit#svnkit;1.3.5 in cache

        found jline#jline;1.0 in cache

        found org.apache.ivy#ivy;2.2.0 in cache

        found org.fusesource.jansi#jansi;1.2.1 in cache

        found net.java.dev.jna#jna;3.2.3 in cache

        found xalan#serializer;2.7.1 in cache

        found org.grails#grails-docs;2.0.3 in cache

        found org.grails#grails-bootstrap;2.0.3 in cache

        found org.grails#grails-scripts;2.0.3 in cache

        found org.grails#grails-core;2.0.3 in cache

        found org.grails#grails-resources;2.0.3 in cache

        found org.grails#grails-web;2.0.3 in cache

        found org.slf4j#slf4j-api;1.6.2 in cache

        found org.springframework#spring-test;3.1.0.RELEASE in cache

        found com.googlecode.concurrentlinkedhashmap#concurrentlinkedhashmap-lru;1.2_jdk5 in cache

        found junit#junit;4.10 in cache

        found org.apache.ant#ant;1.8.2 in cache

        found org.apache.ant#ant-launcher;1.8.2 in cache

        found org.apache.ant#ant-junit;1.8.2 in cache

        found org.apache.ant#ant-trax;1.7.1 in cache

        found org.grails.plugins#tomcat;2.0.3 in cache

:: resolution report :: resolve 368ms :: artifacts dl 32ms

        ---------------------------------------------------------------------

        |                  |            modules            ||   artifacts   |

        |       conf       | number| search|dwnlded|evicted|| number|dwnlded|

        ---------------------------------------------------------------------

        |       build      |   26  |   0   |   0   |   0   ||   26  |   0   |

        ---------------------------------------------------------------------

Resolving [provided] dependencies...

:: resolving dependencies :: org.grails.internal#sipi;APP_VER

        confs: [provided]

        found org.apache.tomcat.embed#tomcat-embed-core;7.0.25 in cache

        found org.apache.tomcat.embed#tomcat-embed-jasper;7.0.25 in cache

        found org.apache.tomcat.embed#tomcat-embed-logging-log4j;7.0.25 in cache

:: resolution report :: resolve 66ms :: artifacts dl 4ms

        ---------------------------------------------------------------------

        |                  |            modules            ||   artifacts   |

        |       conf       | number| search|dwnlded|evicted|| number|dwnlded|

        ---------------------------------------------------------------------

        |     provided     |   3   |   0   |   0   |   0   ||   3   |   0   |

        ---------------------------------------------------------------------

Resolving [test] dependencies...

:: resolving dependencies :: org.grails.internal#sipi;APP_VER

        confs: [test]

        found org.codehaus.groovy#groovy-all;1.8.6 in cache

        found commons-beanutils#commons-beanutils;1.8.3 in cache

        found commons-el#commons-el;1.0 in cache

        found commons-validator#commons-validator;1.3.1 in cache

        found aopalliance#aopalliance;1.0 in cache

        found com.googlecode.concurrentlinkedhashmap#concurrentlinkedhashmap-lru;1.2_jdk5 in cache

        found commons-codec#commons-codec;1.5 in cache

        found commons-collections#commons-collections;3.2.1 in cache

        found commons-io#commons-io;2.1 in cache

        found commons-lang#commons-lang;2.6 in cache

        found javax.transaction#jta;1.1 in cache

        found org.hibernate.javax.persistence#hibernate-jpa-2.0-api;1.0.1.Final in cache

        found opensymphony#sitemesh;2.4 in cache

        found org.grails#grails-bootstrap;2.0.3 in cache

        found org.grails#grails-core;2.0.3 in cache

        found org.grails#grails-crud;2.0.3 in cache

        found org.grails#grails-hibernate;2.0.3 in cache

        found org.grails#grails-resources;2.0.3 in cache

        found org.grails#grails-spring;2.0.3 in cache

        found org.grails#grails-web;2.0.3 in cache

        found org.grails#grails-logging;2.0.3 in cache

        found org.grails#grails-plugin-codecs;2.0.3 in cache

        found org.grails#grails-plugin-controllers;2.0.3 in cache

        found org.grails#grails-plugin-domain-class;2.0.3 in cache

        found org.grails#grails-plugin-converters;2.0.3 in cache

        found org.grails#grails-plugin-datasource;2.0.3 in cache

        found org.grails#grails-plugin-filters;2.0.3 in cache

        found org.grails#grails-plugin-gsp;2.0.3 in cache

        found org.grails#grails-plugin-i18n;2.0.3 in cache

        found org.grails#grails-plugin-log4j;2.0.3 in cache

        found org.grails#grails-plugin-scaffolding;2.0.3 in cache

        found org.grails#grails-plugin-services;2.0.3 in cache

        found org.grails#grails-plugin-servlets;2.0.3 in cache

        found org.grails#grails-plugin-mimetypes;2.0.3 in cache

        found org.grails#grails-plugin-url-mappings;2.0.3 in cache

        found org.grails#grails-plugin-validation;2.0.3 in cache

        found org.springframework#spring-core;3.1.0.RELEASE in cache

        found org.springframework#spring-aop;3.1.0.RELEASE in cache

        found org.springframework#spring-aspects;3.1.0.RELEASE in cache

        found org.springframework#spring-asm;3.1.0.RELEASE in cache

        found org.springframework#spring-beans;3.1.0.RELEASE in cache

        found org.springframework#spring-context;3.1.0.RELEASE in cache

        found org.springframework#spring-context-support;3.1.0.RELEASE in cache

        found org.springframework#spring-expression;3.1.0.RELEASE in cache

        found org.springframework#spring-jdbc;3.1.0.RELEASE in cache

        found org.springframework#spring-jms;3.1.0.RELEASE in cache

        found org.springframework#spring-orm;3.1.0.RELEASE in cache

        found org.springframework#spring-tx;3.1.0.RELEASE in cache

        found org.springframework#spring-web;3.1.0.RELEASE in cache

        found org.springframework#spring-webmvc;3.1.0.RELEASE in cache

        found org.slf4j#slf4j-api;1.6.2 in cache

        found org.grails#grails-datastore-gorm;1.0.4.RELEASE in cache

        found org.grails#grails-datastore-core;1.0.4.RELEASE in cache

        found org.grails#grails-datastore-simple;1.0.4.RELEASE in cache

        found org.aspectj#aspectjweaver;1.6.10 in cache

        found org.aspectj#aspectjrt;1.6.10 in cache

        found cglib#cglib;2.2 in cache

        found asm#asm;3.1 in cache

        found commons-fileupload#commons-fileupload;1.2.2 in cache

        found oro#oro;2.0.8 in cache

        found commons-dbcp#commons-dbcp;1.4 in cache

        found commons-pool#commons-pool;1.5.6 in cache

        found com.h2database#h2;1.3.164 in cache

        found javax.servlet#jstl;1.1.2 in cache

        found xpp3#xpp3_min;1.1.4c in cache

        found net.sf.ehcache#ehcache-core;2.4.6 in cache

        found log4j#log4j;1.2.16 in cache

        found org.slf4j#jcl-over-slf4j;1.6.2 in cache

        found org.slf4j#jul-to-slf4j;1.6.2 in cache

        found org.grails.plugins#hibernate;2.0.3 in cache

        found org.grails.plugins#jquery;1.7.1 in cache

        found org.grails.plugins#resources;1.1.6 in cache

        found org.grails.plugins#richui;0.5 in cache

        found org.grails.plugins#acegi;0.5.1 in cache

        found org.grails.plugins#searchable;0.5.1 in cache

| Error java.lang.RuntimeException: Reloading agent exited via exception, please raise a jira

| Error         at com.springsource.loaded.agent.ClassPreProcessorAgentAdapter.transform(ClassPreProcessorAgentAdapter.java:91)

| Error         at sun.instrument.TransformerManager.transform(TransformerManager.java:122)

| Error         at sun.instrument.InstrumentationImpl.transform(InstrumentationImpl.java:155)

| Error         at java.util.AbstractList$Itr.<init>(AbstractList.java:395)

| Error         at java.util.AbstractList.iterator(AbstractList.java:337)

| Error         at java.util.AbstractCollection.addAll(AbstractCollection.java:316)

| Error         at org.apache.ivy.core.resolve.IvyNodeCallers$Caller.updateConfs(IvyNodeCallers.java:75)

| Error         at org.apache.ivy.core.resolve.IvyNodeCallers$Caller.addConfiguration(IvyNodeCallers.java:59)

| Error         at org.apache.ivy.core.resolve.IvyNodeCallers.addCaller(IvyNodeCallers.java:180)

| Error         at org.apache.ivy.core.resolve.IvyNode.addCaller(IvyNode.java:1029)

| Error         at org.apache.ivy.core.resolve.IvyNode.getDependencies(IvyNode.java:351)

| Error         at org.apache.ivy.core.resolve.IvyNode.getDependencies(IvyNode.java:304)

| Error         at org.apache.ivy.core.resolve.ResolveEngine.computeConflicts(ResolveEngine.java:1058)

| Error         at org.apache.ivy.core.resolve.ResolveEngine.resolveConflict(ResolveEngine.java:892)

| Error         at org.apache.ivy.core.resolve.ResolveEngine.resolveConflict(ResolveEngine.java:946)

| Error         at org.apache.ivy.core.resolve.ResolveEngine.resolveConflict(ResolveEngine.java:834)

| Error         at org.apache.ivy.core.resolve.ResolveEngine.fetchDependencies(ResolveEngine.java:693)

| Error         at org.apache.ivy.core.resolve.ResolveEngine.doFetchDependencies(ResolveEngine.java:781)

| Error         at org.apache.ivy.core.resolve.ResolveEngine.fetchDependencies(ResolveEngine.java:704)

| Error         at org.apache.ivy.core.resolve.ResolveEngine.doFetchDependencies(ResolveEngine.java:769)

| Error         at org.apache.ivy.core.resolve.ResolveEngine.fetchDependencies(ResolveEngine.java:704)

| Error         at org.apache.ivy.core.resolve.ResolveEngine.doFetchDependencies(ResolveEngine.java:769)

| Error         at org.apache.ivy.core.resolve.ResolveEngine.fetchDependencies(ResolveEngine.java:704)

| Error         at org.apache.ivy.core.resolve.ResolveEngine.doFetchDependencies(ResolveEngine.java:781)

| Error         at org.apache.ivy.core.resolve.ResolveEngine.fetchDependencies(ResolveEngine.java:704)

| Error         at org.apache.ivy.core.resolve.ResolveEngine.doFetchDependencies(ResolveEngine.java:769)

| Error         at org.apache.ivy.core.resolve.ResolveEngine.fetchDependencies(ResolveEngine.java:704)

| Error         at org.apache.ivy.core.resolve.ResolveEngine.getDependencies(ResolveEngine.java:576)

| Error         at org.apache.ivy.core.resolve.ResolveEngine.resolve(ResolveEngine.java:237)

| Error         at org.apache.ivy.core.resolve.ResolveEngine$resolve.call(Unknown Source)

| Error         at org.codehaus.groovy.grails.resolve.IvyDependencyManager.resolveDependencies(IvyDependencyManager.groovy:207)

| Error         at org.codehaus.groovy.grails.resolve.IvyDependencyManager$resolveDependencies$0.callCurrent(Unknown Source)

| Error         at org.codehaus.groovy.grails.resolve.IvyDependencyManager.resolveDependencies(IvyDependencyManager.groovy:192)

| Error         at org.codehaus.groovy.grails.resolve.IvyDependencyManager$resolveDependencies.call(Unknown Source)

| Error         at org.codehaus.groovy.runtime.callsite.CallSiteArray.defaultCall(CallSiteArray.java:42)

| Error         at org.codehaus.groovy.runtime.callsite.AbstractCallSite.call(AbstractCallSite.java:108)

| Error         at org.codehaus.groovy.runtime.callsite.AbstractCallSite.call(AbstractCallSite.java:116)

| Error         at grails.util.BuildSettings$_getDefaultTestDependencies_closure16.doCall(BuildSettings.groovy:482)

| Error         at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

| Error         at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)

| Error         at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)

| Error         at java.lang.reflect.Method.invoke(Method.java:592)

| Error         at com.springsource.loaded.ri.ReflectiveInterceptor.jlrMethodInvoke(ReflectiveInterceptor.java:1231)

| Error         at org.codehaus.groovy.runtime.callsite.PogoMetaMethodSite$PogoCachedMethodSite.invoke(PogoMetaMethodSite.java:226)

| Error         at org.codehaus.groovy.runtime.callsite.PogoMetaMethodSite.callCurrent(PogoMetaMethodSite.java:52)

| Error         at org.codehaus.groovy.runtime.callsite.CallSiteArray.defaultCallCurrent(CallSiteArray.java:46)

| Error         at org.codehaus.groovy.runtime.callsite.AbstractCallSite.callCurrent(AbstractCallSite.java:133)

| Error         at org.codehaus.groovy.runtime.callsite.AbstractCallSite.callCurrent(AbstractCallSite.java:141)

| Error         at grails.util.BuildSettings$_getDefaultTestDependencies_closure16.doCall(BuildSettings.groovy)

| Error         at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

| Error         at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)

| Error         at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)

| Error         at java.lang.reflect.Method.invoke(Method.java:592)

| Error         at com.springsource.loaded.ri.ReflectiveInterceptor.jlrMethodInvoke(ReflectiveInterceptor.java:1231)

| Error         at org.codehaus.groovy.reflection.CachedMethod.invoke(CachedMethod.java:90)

| Error         at groovy.lang.MetaMethod.doMethodInvoke(MetaMethod.java:233)

| Error         at groovy.lang.MetaClassImpl.invokeMethod(MetaClassImpl.java:1047)

| Error         at groovy.lang.ExpandoMetaClass.invokeMethod(ExpandoMetaClass.java:1110)

| Error         at groovy.lang.MetaClassImpl.invokeMethod(MetaClassImpl.java:877)

| Error         at groovy.lang.Closure.call(Closure.java:412)

| Error         at groovy.lang.Closure.call(Closure.java:406)

| Error         at java_util_concurrent_Callable$call.call(Unknown Source)

| Error         at org.codehaus.groovy.runtime.callsite.CallSiteArray.defaultCall(CallSiteArray.java:42)

| Error         at org.codehaus.groovy.runtime.callsite.AbstractCallSite.call(AbstractCallSite.java:108)

| Error         at org.codehaus.groovy.runtime.callsite.AbstractCallSite.call(AbstractCallSite.java:112)

| Error         at grails.util.BuildSettings.getDefaultTestDependencies(BuildSettings.groovy:478)

| Error         at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

| Error         at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)

| Error         at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)

| Error         at java.lang.reflect.Method.invoke(Method.java:592)

| Error         at com.springsource.loaded.ri.ReflectiveInterceptor.jlrMethodInvoke(ReflectiveInterceptor.java:1231)

| Error         at org.codehaus.groovy.reflection.CachedMethod.invoke(CachedMethod.java:90)

| Error         at groovy.lang.MetaMethod.doMethodInvoke(MetaMethod.java:233)

| Error         at groovy.lang.MetaClassImpl.getProperty(MetaClassImpl.java:1580)

| Error         at groovy.lang.ExpandoMetaClass.getProperty(ExpandoMetaClass.java:1140)

| Error         at groovy.lang.MetaClassImpl.getProperty(MetaClassImpl.java:3308)

| Error         at groovy.lang.ExpandoMetaClass.getProperty(ExpandoMetaClass.java:1152)

| Error         at org.codehaus.groovy.runtime.callsite.PogoMetaClassGetPropertySite.getProperty(PogoMetaClassGetPropertySite.java:48)

| Error         at org.codehaus.groovy.runtime.callsite.AbstractCallSite.callGroovyObjectGetProperty(AbstractCallSite.java:231)

| Error         at grails.util.BuildSettings.getTestDependencies(BuildSettings.groovy:462)

| Error         at org.codehaus.groovy.grails.cli.support.ClasspathConfigurer.getClassLoaderUrls(ClasspathConfigurer.java:117)

| Error         at org.codehaus.groovy.grails.cli.support.ClasspathConfigurer.configuredClassLoader(ClasspathConfigurer.java:67)

| Error         at org.codehaus.groovy.grails.cli.GrailsScriptRunner.initializeState(GrailsScriptRunner.java:555)

| Error         at org.codehaus.groovy.grails.cli.GrailsScriptRunner.callPluginOrGrailsScript(GrailsScriptRunner.java:382)

| Error         at org.codehaus.groovy.grails.cli.GrailsScriptRunner.executeCommand(GrailsScriptRunner.java:362)

| Error         at org.codehaus.groovy.grails.cli.GrailsScriptRunner.main(GrailsScriptRunner.java:228)

| Error         at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

| Error         at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)

| Error         at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)

| Error         at java.lang.reflect.Method.invoke(Method.java:592)

| Error         at com.springsource.loaded.ri.ReflectiveInterceptor.jlrMethodInvoke(ReflectiveInterceptor.java:1231)

| Error         at org.codehaus.groovy.grails.cli.support.GrailsStarter.rootLoader(GrailsStarter.java:234)

| Error         at org.codehaus.groovy.grails.cli.support.GrailsStarter.main(GrailsStarter.java:262)

| Error Caused by: java.lang.LinkageError: java/util/AbstractList$1

| Error         at java.util.AbstractList$Itr.<init>(AbstractList.java:395)

| Error         at java.util.AbstractList$Itr.<init>(AbstractList.java:395)

| Error         at java.util.AbstractList.iterator(AbstractList.java:337)

| Error         at com.springsource.loaded.agent.SpringLoadedPreProcessor.preProcess(SpringLoadedPreProcessor.java:96)

| Error         at com.springsource.loaded.agent.ClassPreProcessorAgentAdapter.transform(ClassPreProcessorAgentAdapter.java:89)

| Error         ... 92 more

        found junit#junit;4.10 in cache

        found org.grails#grails-plugin-testing;2.0.3 in cache

        found org.grails#grails-test;2.0.3 in cache

        found org.springframework#spring-test;3.1.0.RELEASE in cache

:: resolution report :: resolve 20052ms :: artifacts dl 50ms

        :: evicted modules:

        org.grails.plugins#hibernate;1.0 by [org.grails.plugins#hibernate;2.0.3] in [test]

        ---------------------------------------------------------------------

        |                  |            modules            ||   artifacts   |

        |       conf       | number| search|dwnlded|evicted|| number|dwnlded|

        ---------------------------------------------------------------------

        |       test       |   82  |   0   |   0   |   1   ||   79  |   0   |

        ---------------------------------------------------------------------

 

:: problems summary ::

:::: WARNINGS

                module not found: org.grails.plugins#data-source;1.0

 

        ==== grailsPlugins: tried

 

          -- artifact org.grails.plugins#data-source;1.0!data-source.zip:

 

          C:\code\SIPIDinamico01062011/lib/data-source-1.0.zip

 

        ==== grailsHome: tried

 

          C:\grails203/lib/org.grails.plugins/data-source/ivy-1.0.xml

 

          -- artifact org.grails.plugins#data-source;1.0!data-source.zip:

 

          C:\grails203/lib/org.grails.plugins/data-source/jars/data-source-1.0.zip

 

          C:\grails203/lib/org.grails.plugins/data-source/bundles/data-source-1.0.zip

 

        ==== grailsHome: tried

 

          C:\grails203\src\libs/data-source-1.0.xml

 

          -- artifact org.grails.plugins#data-source;1.0!data-source.zip:

 

          C:\grails203\src\libs/data-source-1.0.zip

 

        ==== grailsHome: tried

 

          C:\grails203\dist/data-source-1.0.xml

 

          -- artifact org.grails.plugins#data-source;1.0!data-source.zip:

 

          C:\grails203\dist/data-source-1.0.zip

 

        ==== grailsHome: tried

 

          C:\Users\jguarin\.grails\2.0.3\cached-installed-plugins/data-source-1.0.xml

 

          -- artifact org.grails.plugins#data-source;1.0!data-source.zip:

 

          C:\Users\jguarin\.grails\2.0.3\cached-installed-plugins/data-source-1.0.zip

 

        ==== grailsHome: tried

 

          -- artifact org.grails.plugins#data-source;1.0!data-source.zip:

 

          C:\grails203/plugins/data-source-1.0.zip

 

        ==== grailsCentral: tried

 

          http://plugins.grails.org/grails-data-source/tags/RELEASE_1.0/data-source-1.0.pom

 

         -- artifact org.grails.plugins#data-source;1.0!data-source.zip:

 

          http://plugins.grails.org/grails-data-source/tags/RELEASE_1.0/grails-data-source-1.0.zip

 

        ==== http://repo.grails.org/grails/plugins: tried

 

          http://repo.grails.org/grails/plugins/org/grails/plugins/data-source/1.0/data-source-1.0.pom

 

          -- artifact org.grails.plugins#data-source;1.0!data-source.zip:

 

          http://repo.grails.org/grails/plugins/org/grails/plugins/data-source/1.0/data-source-1.0.zip

 

        ==== http://repo.grails.org/grails/core: tried

 

          http://repo.grails.org/grails/core/org/grails/plugins/data-source/1.0/data-source-1.0.pom

 

          -- artifact org.grails.plugins#data-source;1.0!data-source.zip:

 

          http://repo.grails.org/grails/core/org/grails/plugins/data-source/1.0/data-source-1.0.zip

 

        ==== grailsCore: tried

 

          http://svn.codehaus.org/grails/trunk/grails-plugins/grails-data-source/tags/RELEASE_1.0/data-source-1.0.pom

 

          -- artifact org.grails.plugins#data-source;1.0!data-source.zip:

 

          http://svn.codehaus.org/grails/trunk/grails-plugins/grails-data-source/tags/RELEASE_1.0/grails-data-source-1.0.zip

 

        ==== mavenCentral: tried

 

          http://repo1.maven.org/maven2/org/grails/plugins/data-source/1.0/data-source-1.0.pom

 

          -- artifact org.grails.plugins#data-source;1.0!data-source.zip:

 

          http://repo1.maven.org/maven2/org/grails/plugins/data-source/1.0/data-source-1.0.zip

 

        ==== localMavenResolver: tried

 

          C:\Users\jguarin/.m2/repository/org/grails/plugins/data-source/1.0/data-source-1.0.pom

 

          -- artifact org.grails.plugins#data-source;1.0!data-source.zip:

 

          C:\Users\jguarin/.m2/repository/org/grails/plugins/data-source/1.0/data-source-1.0.zip

 

        ==== http://snapshots.repository.codehaus.org: tried

 

          http://snapshots.repository.codehaus.org/org/grails/plugins/data-source/1.0/data-source-1.0.pom

 

          -- artifact org.grails.plugins#data-source;1.0!data-source.zip:

 

          http://snapshots.repository.codehaus.org/org/grails/plugins/data-source/1.0/data-source-1.0.zip

 

        ==== http://repository.codehaus.org: tried

 

          http://repository.codehaus.org/org/grails/plugins/data-source/1.0/data-source-1.0.pom

 

          -- artifact org.grails.plugins#data-source;1.0!data-source.zip:

 

          http://repository.codehaus.org/org/grails/plugins/data-source/1.0/data-source-1.0.zip

 

        ==== http://download.java.net/maven/2/: tried

 

          http://download.java.net/maven/2/org/grails/plugins/data-source/1.0/data-source-1.0.pom

 

          -- artifact org.grails.plugins#data-source;1.0!data-source.zip:

 

          http://download.java.net/maven/2/org/grails/plugins/data-source/1.0/data-source-1.0.zip

 

        ==== http://repository.jboss.com/maven2/: tried

 

          http://repository.jboss.com/maven2/org/grails/plugins/data-source/1.0/data-source-1.0.pom

 

          -- artifact org.grails.plugins#data-source;1.0!data-source.zip:

 

          http://repository.jboss.com/maven2/org/grails/plugins/data-source/1.0/data-source-1.0.zip

 

                module not found: org.grails.plugins#i18n;1.0

 

        ==== grailsPlugins: tried

 

          -- artifact org.grails.plugins#i18n;1.0!i18n.zip:

 

          C:\code\SIPIDinamico01062011/lib/i18n-1.0.zip

 

        ==== grailsHome: tried

 

          C:\grails203/lib/org.grails.plugins/i18n/ivy-1.0.xml

 

          -- artifact org.grails.plugins#i18n;1.0!i18n.zip:

 

          C:\grails203/lib/org.grails.plugins/i18n/jars/i18n-1.0.zip

 

          C:\grails203/lib/org.grails.plugins/i18n/bundles/i18n-1.0.zip

 

        ==== grailsHome: tried

 

          C:\grails203\src\libs/i18n-1.0.xml

 

          -- artifact org.grails.plugins#i18n;1.0!i18n.zip:

 

          C:\grails203\src\libs/i18n-1.0.zip

 

        ==== grailsHome: tried

 

          C:\grails203\dist/i18n-1.0.xml

 

          -- artifact org.grails.plugins#i18n;1.0!i18n.zip:

 

          C:\grails203\dist/i18n-1.0.zip

 

        ==== grailsHome: tried

 

          C:\Users\jguarin\.grails\2.0.3\cached-installed-plugins/i18n-1.0.xml

 

          -- artifact org.grails.plugins#i18n;1.0!i18n.zip:

 

          C:\Users\jguarin\.grails\2.0.3\cached-installed-plugins/i18n-1.0.zip

 

        ==== grailsHome: tried

 

          -- artifact org.grails.plugins#i18n;1.0!i18n.zip:

 

          C:\grails203/plugins/i18n-1.0.zip

 

        ==== grailsCentral: tried

 

          http://plugins.grails.org/grails-i18n/tags/RELEASE_1.0/i18n-1.0.pom

 

          -- artifact org.grails.plugins#i18n;1.0!i18n.zip:

 

          http://plugins.grails.org/grails-i18n/tags/RELEASE_1.0/grails-i18n-1.0.zip

 

        ==== http://repo.grails.org/grails/plugins: tried

 

          http://repo.grails.org/grails/plugins/org/grails/plugins/i18n/1.0/i18n-1.0.pom

 

          -- artifact org.grails.plugins#i18n;1.0!i18n.zip:

 

          http://repo.grails.org/grails/plugins/org/grails/plugins/i18n/1.0/i18n-1.0.zip

 

        ==== http://repo.grails.org/grails/core: tried

 

          http://repo.grails.org/grails/core/org/grails/plugins/i18n/1.0/i18n-1.0.pom

 

          -- artifact org.grails.plugins#i18n;1.0!i18n.zip:

 

          http://repo.grails.org/grails/core/org/grails/plugins/i18n/1.0/i18n-1.0.zip

 

        ==== grailsCore: tried

 

          http://svn.codehaus.org/grails/trunk/grails-plugins/grails-i18n/tags/RELEASE_1.0/i18n-1.0.pom

 

          -- artifact org.grails.plugins#i18n;1.0!i18n.zip:

 

          http://svn.codehaus.org/grails/trunk/grails-plugins/grails-i18n/tags/RELEASE_1.0/grails-i18n-1.0.zip

 

        ==== mavenCentral: tried

 

          http://repo1.maven.org/maven2/org/grails/plugins/i18n/1.0/i18n-1.0.pom

 

          -- artifact org.grails.plugins#i18n;1.0!i18n.zip:

 

          http://repo1.maven.org/maven2/org/grails/plugins/i18n/1.0/i18n-1.0.zip

 

        ==== localMavenResolver: tried

 

          C:\Users\jguarin/.m2/repository/org/grails/plugins/i18n/1.0/i18n-1.0.pom

 

          -- artifact org.grails.plugins#i18n;1.0!i18n.zip:

 

          C:\Users\jguarin/.m2/repository/org/grails/plugins/i18n/1.0/i18n-1.0.zip

 

        ==== http://snapshots.repository.codehaus.org: tried

 

          http://snapshots.repository.codehaus.org/org/grails/plugins/i18n/1.0/i18n-1.0.pom

 

          -- artifact org.grails.plugins#i18n;1.0!i18n.zip:

 

          http://snapshots.repository.codehaus.org/org/grails/plugins/i18n/1.0/i18n-1.0.zip

 

        ==== http://repository.codehaus.org: tried

 

          http://repository.codehaus.org/org/grails/plugins/i18n/1.0/i18n-1.0.pom

 

          -- artifact org.grails.plugins#i18n;1.0!i18n.zip:

 

          http://repository.codehaus.org/org/grails/plugins/i18n/1.0/i18n-1.0.zip

 

        ==== http://download.java.net/maven/2/: tried

 

          http://download.java.net/maven/2/org/grails/plugins/i18n/1.0/i18n-1.0.pom

 

          -- artifact org.grails.plugins#i18n;1.0!i18n.zip:

 

          http://download.java.net/maven/2/org/grails/plugins/i18n/1.0/i18n-1.0.zip

 

        ==== http://repository.jboss.com/maven2/: tried

 

          http://repository.jboss.com/maven2/org/grails/plugins/i18n/1.0/i18n-1.0.pom

 

          -- artifact org.grails.plugins#i18n;1.0!i18n.zip:

 

          http://repository.jboss.com/maven2/org/grails/plugins/i18n/1.0/i18n-1.0.zip

 

                ::::::::::::::::::::::::::::::::::::::::::::::

 

                ::          UNRESOLVED DEPENDENCIES         ::

 

                ::::::::::::::::::::::::::::::::::::::::::::::

 

                :: org.grails.plugins#data-source;1.0: not found

 

                :: org.grails.plugins#i18n;1.0: not found

 

                ::::::::::::::::::::::::::::::::::::::::::::::

 

 

 

:: USE VERBOSE OR DEBUG MESSAGE LEVEL FOR MORE DETAILS

Resolving [runtime] dependencies...

:: resolving dependencies :: org.grails.internal#sipi;APP_VER

        confs: [runtime]

        found org.codehaus.groovy#groovy-all;1.8.6 in cache

        found commons-beanutils#commons-beanutils;1.8.3 in cache

        found commons-el#commons-el;1.0 in cache

        found commons-validator#commons-validator;1.3.1 in cache

        found aopalliance#aopalliance;1.0 in cache

        found com.googlecode.concurrentlinkedhashmap#concurrentlinkedhashmap-lru;1.2_jdk5 in cache

        found commons-codec#commons-codec;1.5 in cache

        found commons-collections#commons-collections;3.2.1 in cache

        found commons-io#commons-io;2.1 in cache

        found commons-lang#commons-lang;2.6 in cache

        found javax.transaction#jta;1.1 in cache

        found org.hibernate.javax.persistence#hibernate-jpa-2.0-api;1.0.1.Final in cache

        found opensymphony#sitemesh;2.4 in cache

        found org.grails#grails-bootstrap;2.0.3 in cache

        found org.grails#grails-core;2.0.3 in cache

        found org.grails#grails-crud;2.0.3 in cache

        found org.grails#grails-hibernate;2.0.3 in cache

        found org.grails#grails-resources;2.0.3 in cache

        found org.grails#grails-spring;2.0.3 in cache

        found org.grails#grails-web;2.0.3 in cache

        found org.grails#grails-logging;2.0.3 in cache

        found org.grails#grails-plugin-codecs;2.0.3 in cache

        found org.grails#grails-plugin-controllers;2.0.3 in cache

        found org.grails#grails-plugin-domain-class;2.0.3 in cache

        found org.grails#grails-plugin-converters;2.0.3 in cache

        found org.grails#grails-plugin-datasource;2.0.3 in cache

        found org.grails#grails-plugin-filters;2.0.3 in cache

        found org.grails#grails-plugin-gsp;2.0.3 in cache

        found org.grails#grails-plugin-i18n;2.0.3 in cache

        found org.grails#grails-plugin-log4j;2.0.3 in cache

        found org.grails#grails-plugin-scaffolding;2.0.3 in cache

        found org.grails#grails-plugin-services;2.0.3 in cache

        found org.grails#grails-plugin-servlets;2.0.3 in cache

        found org.grails#grails-plugin-mimetypes;2.0.3 in cache

        found org.grails#grails-plugin-url-mappings;2.0.3 in cache

        found org.grails#grails-plugin-validation;2.0.3 in cache

        found org.springframework#spring-core;3.1.0.RELEASE in cache

        found org.springframework#spring-aop;3.1.0.RELEASE in cache

        found org.springframework#spring-aspects;3.1.0.RELEASE in cache

        found org.springframework#spring-asm;3.1.0.RELEASE in cache

        found org.springframework#spring-beans;3.1.0.RELEASE in cache

        found org.springframework#spring-context;3.1.0.RELEASE in cache

        found org.springframework#spring-context-support;3.1.0.RELEASE in cache

        found org.springframework#spring-expression;3.1.0.RELEASE in cache

        found org.springframework#spring-jdbc;3.1.0.RELEASE in cache

        found org.springframework#spring-jms;3.1.0.RELEASE in cache

        found org.springframework#spring-orm;3.1.0.RELEASE in cache

        found org.springframework#spring-tx;3.1.0.RELEASE in cache

        found org.springframework#spring-web;3.1.0.RELEASE in cache

        found org.springframework#spring-webmvc;3.1.0.RELEASE in cache

        found org.slf4j#slf4j-api;1.6.2 in cache

        found org.grails#grails-datastore-gorm;1.0.4.RELEASE in cache

        found org.grails#grails-datastore-core;1.0.4.RELEASE in cache

        found org.grails#grails-datastore-simple;1.0.4.RELEASE in cache

        found org.aspectj#aspectjweaver;1.6.10 in cache

        found org.aspectj#aspectjrt;1.6.10 in cache

        found cglib#cglib;2.2 in cache

        found asm#asm;3.1 in cache

        found commons-fileupload#commons-fileupload;1.2.2 in cache

        found oro#oro;2.0.8 in cache

        found commons-dbcp#commons-dbcp;1.4 in cache

        found commons-pool#commons-pool;1.5.6 in cache

        found com.h2database#h2;1.3.164 in cache

        found javax.servlet#jstl;1.1.2 in cache

        found xpp3#xpp3_min;1.1.4c in cache

        found net.sf.ehcache#ehcache-core;2.4.6 in cache

        found log4j#log4j;1.2.16 in cache

        found org.slf4j#jcl-over-slf4j;1.6.2 in cache

        found org.slf4j#jul-to-slf4j;1.6.2 in cache

        found org.grails.plugins#hibernate;2.0.3 in cache

        found org.grails.plugins#jquery;1.7.1 in cache

        found org.grails.plugins#resources;1.1.6 in cache

        found org.grails.plugins#richui;0.5 in cache

        found org.grails.plugins#acegi;0.5.1 in cache

        found org.grails.plugins#searchable;0.5.1 in cache

:: resolution report :: resolve 149ms :: artifacts dl 31ms

        :: evicted modules:

        org.grails.plugins#hibernate;1.0 by [org.grails.plugins#hibernate;2.0.3] in [runtime]

        ---------------------------------------------------------------------

        |                  |            modules            ||   artifacts   |

        |       conf       | number| search|dwnlded|evicted|| number|dwnlded|

        ---------------------------------------------------------------------

        |      runtime     |   78  |   0   |   0   |   1   ||   75  |   0   |

        ---------------------------------------------------------------------

 

:: problems summary ::

:::: WARNINGS

                module not found: org.grails.plugins#data-source;1.0

 

        ==== grailsPlugins: tried

 

          -- artifact org.grails.plugins#data-source;1.0!data-source.zip:

 

          C:\code\SIPIDinamico01062011/lib/data-source-1.0.zip

 

        ==== grailsHome: tried

 

          C:\grails203/lib/org.grails.plugins/data-source/ivy-1.0.xml

 

          -- artifact org.grails.plugins#data-source;1.0!data-source.zip:

 

          C:\grails203/lib/org.grails.plugins/data-source/jars/data-source-1.0.zip

 

          C:\grails203/lib/org.grails.plugins/data-source/bundles/data-source-1.0.zip

 

        ==== grailsHome: tried

 

          C:\grails203\src\libs/data-source-1.0.xml

 

          -- artifact org.grails.plugins#data-source;1.0!data-source.zip:

 

          C:\grails203\src\libs/data-source-1.0.zip

 

        ==== grailsHome: tried

 

          C:\grails203\dist/data-source-1.0.xml

 

          -- artifact org.grails.plugins#data-source;1.0!data-source.zip:

 

          C:\grails203\dist/data-source-1.0.zip

 

        ==== grailsHome: tried

 

          C:\Users\jguarin\.grails\2.0.3\cached-installed-plugins/data-source-1.0.xml

 

          -- artifact org.grails.plugins#data-source;1.0!data-source.zip:

 

          C:\Users\jguarin\.grails\2.0.3\cached-installed-plugins/data-source-1.0.zip

 

        ==== grailsHome: tried

 

          -- artifact org.grails.plugins#data-source;1.0!data-source.zip:

 

          C:\grails203/plugins/data-source-1.0.zip

 

        ==== grailsCentral: tried

 

          http://plugins.grails.org/grails-data-source/tags/RELEASE_1.0/data-source-1.0.pom

 

          -- artifact org.grails.plugins#data-source;1.0!data-source.zip:

 

         http://plugins.grails.org/grails-data-source/tags/RELEASE_1.0/grails-data-source-1.0.zip

 

        ==== http://repo.grails.org/grails/plugins: tried

 

          http://repo.grails.org/grails/plugins/org/grails/plugins/data-source/1.0/data-source-1.0.pom

 

          -- artifact org.grails.plugins#data-source;1.0!data-source.zip:

 

          http://repo.grails.org/grails/plugins/org/grails/plugins/data-source/1.0/data-source-1.0.zip

 

        ==== http://repo.grails.org/grails/core: tried

 

          http://repo.grails.org/grails/core/org/grails/plugins/data-source/1.0/data-source-1.0.pom

 

          -- artifact org.grails.plugins#data-source;1.0!data-source.zip:

 

          http://repo.grails.org/grails/core/org/grails/plugins/data-source/1.0/data-source-1.0.zip

 

        ==== grailsCore: tried

 

          http://svn.codehaus.org/grails/trunk/grails-plugins/grails-data-source/tags/RELEASE_1.0/data-source-1.0.pom

 

         -- artifact org.grails.plugins#data-source;1.0!data-source.zip:

 

          http://svn.codehaus.org/grails/trunk/grails-plugins/grails-data-source/tags/RELEASE_1.0/grails-data-source-1.0.zip

 

        ==== mavenCentral: tried

 

          http://repo1.maven.org/maven2/org/grails/plugins/data-source/1.0/data-source-1.0.pom

 

          -- artifact org.grails.plugins#data-source;1.0!data-source.zip:

 

          http://repo1.maven.org/maven2/org/grails/plugins/data-source/1.0/data-source-1.0.zip

 

        ==== localMavenResolver: tried

 

          C:\Users\jguarin/.m2/repository/org/grails/plugins/data-source/1.0/data-source-1.0.pom

 

          -- artifact org.grails.plugins#data-source;1.0!data-source.zip:

 

          C:\Users\jguarin/.m2/repository/org/grails/plugins/data-source/1.0/data-source-1.0.zip

 

        ==== http://snapshots.repository.codehaus.org: tried

 

          http://snapshots.repository.codehaus.org/org/grails/plugins/data-source/1.0/data-source-1.0.pom

 

          -- artifact org.grails.plugins#data-source;1.0!data-source.zip:

 

          http://snapshots.repository.codehaus.org/org/grails/plugins/data-source/1.0/data-source-1.0.zip

 

        ==== http://repository.codehaus.org: tried

 

          http://repository.codehaus.org/org/grails/plugins/data-source/1.0/data-source-1.0.pom

 

          -- artifact org.grails.plugins#data-source;1.0!data-source.zip:

 

          http://repository.codehaus.org/org/grails/plugins/data-source/1.0/data-source-1.0.zip

 

        ==== http://download.java.net/maven/2/: tried

 

          http://download.java.net/maven/2/org/grails/plugins/data-source/1.0/data-source-1.0.pom

 

          -- artifact org.grails.plugins#data-source;1.0!data-source.zip:

 

          http://download.java.net/maven/2/org/grails/plugins/data-source/1.0/data-source-1.0.zip

 

        ==== http://repository.jboss.com/maven2/: tried

 

          http://repository.jboss.com/maven2/org/grails/plugins/data-source/1.0/data-source-1.0.pom

 

          -- artifact org.grails.plugins#data-source;1.0!data-source.zip:

 

          http://repository.jboss.com/maven2/org/grails/plugins/data-source/1.0/data-source-1.0.zip

 

                module not found: org.grails.plugins#i18n;1.0

 

        ==== grailsPlugins: tried

 

          -- artifact org.grails.plugins#i18n;1.0!i18n.zip:

 

          C:\code\SIPIDinamico01062011/lib/i18n-1.0.zip

 

        ==== grailsHome: tried

 

          C:\grails203/lib/org.grails.plugins/i18n/ivy-1.0.xml

 

          -- artifact org.grails.plugins#i18n;1.0!i18n.zip:

 

          C:\grails203/lib/org.grails.plugins/i18n/jars/i18n-1.0.zip

 

          C:\grails203/lib/org.grails.plugins/i18n/bundles/i18n-1.0.zip

 

        ==== grailsHome: tried

 

          C:\grails203\src\libs/i18n-1.0.xml

 

          -- artifact org.grails.plugins#i18n;1.0!i18n.zip:

 

          C:\grails203\src\libs/i18n-1.0.zip

 

        ==== grailsHome: tried

 

          C:\grails203\dist/i18n-1.0.xml

 

          -- artifact org.grails.plugins#i18n;1.0!i18n.zip:

 

          C:\grails203\dist/i18n-1.0.zip

 

        ==== grailsHome: tried

 

          C:\Users\jguarin\.grails\2.0.3\cached-installed-plugins/i18n-1.0.xml

 

          -- artifact org.grails.plugins#i18n;1.0!i18n.zip:

 

          C:\Users\jguarin\.grails\2.0.3\cached-installed-plugins/i18n-1.0.zip

 

        ==== grailsHome: tried

 

          -- artifact org.grails.plugins#i18n;1.0!i18n.zip:

 

          C:\grails203/plugins/i18n-1.0.zip

 

        ==== grailsCentral: tried

 

          http://plugins.grails.org/grails-i18n/tags/RELEASE_1.0/i18n-1.0.pom

 

          -- artifact org.grails.plugins#i18n;1.0!i18n.zip:

 

          http://plugins.grails.org/grails-i18n/tags/RELEASE_1.0/grails-i18n-1.0.zip

 

        ==== http://repo.grails.org/grails/plugins: tried

 

          http://repo.grails.org/grails/plugins/org/grails/plugins/i18n/1.0/i18n-1.0.pom

 

          -- artifact org.grails.plugins#i18n;1.0!i18n.zip:

 

          http://repo.grails.org/grails/plugins/org/grails/plugins/i18n/1.0/i18n-1.0.zip

 

        ==== http://repo.grails.org/grails/core: tried

 

          http://repo.grails.org/grails/core/org/grails/plugins/i18n/1.0/i18n-1.0.pom

 

          -- artifact org.grails.plugins#i18n;1.0!i18n.zip:

 

          http://repo.grails.org/grails/core/org/grails/plugins/i18n/1.0/i18n-1.0.zip

 

        ==== grailsCore: tried

 

          http://svn.codehaus.org/grails/trunk/grails-plugins/grails-i18n/tags/RELEASE_1.0/i18n-1.0.pom

 

          -- artifact org.grails.plugins#i18n;1.0!i18n.zip:

 

          http://svn.codehaus.org/grails/trunk/grails-plugins/grails-i18n/tags/RELEASE_1.0/grails-i18n-1.0.zip

 

        ==== mavenCentral: tried

 

          http://repo1.maven.org/maven2/org/grails/plugins/i18n/1.0/i18n-1.0.pom

 

          -- artifact org.grails.plugins#i18n;1.0!i18n.zip:

 

          http://repo1.maven.org/maven2/org/grails/plugins/i18n/1.0/i18n-1.0.zip

 

        ==== localMavenResolver: tried

 

          C:\Users\jguarin/.m2/repository/org/grails/plugins/i18n/1.0/i18n-1.0.pom

 

          -- artifact org.grails.plugins#i18n;1.0!i18n.zip:

 

          C:\Users\jguarin/.m2/repository/org/grails/plugins/i18n/1.0/i18n-1.0.zip

 

        ==== http://snapshots.repository.codehaus.org: tried

 

          http://snapshots.repository.codehaus.org/org/grails/plugins/i18n/1.0/i18n-1.0.pom

 

          -- artifact org.grails.plugins#i18n;1.0!i18n.zip:

 

          http://snapshots.repository.codehaus.org/org/grails/plugins/i18n/1.0/i18n-1.0.zip

 

        ==== http://repository.codehaus.org: tried

 

          http://repository.codehaus.org/org/grails/plugins/i18n/1.0/i18n-1.0.pom

 

          -- artifact org.grails.plugins#i18n;1.0!i18n.zip:

 

          http://repository.codehaus.org/org/grails/plugins/i18n/1.0/i18n-1.0.zip

 

        ==== http://download.java.net/maven/2/: tried

 

          http://download.java.net/maven/2/org/grails/plugins/i18n/1.0/i18n-1.0.pom

 

          -- artifact org.grails.plugins#i18n;1.0!i18n.zip:

 

          http://download.java.net/maven/2/org/grails/plugins/i18n/1.0/i18n-1.0.zip

 

        ==== http://repository.jboss.com/maven2/: tried

 

          http://repository.jboss.com/maven2/org/grails/plugins/i18n/1.0/i18n-1.0.pom

 

          -- artifact org.grails.plugins#i18n;1.0!i18n.zip:

 

          http://repository.jboss.com/maven2/org/grails/plugins/i18n/1.0/i18n-1.0.zip

 

                ::::::::::::::::::::::::::::::::::::::::::::::

 

                ::          UNRESOLVED DEPENDENCIES         ::

 

                ::::::::::::::::::::::::::::::::::::::::::::::

 

                :: org.grails.plugins#data-source;1.0: not found

 

                :: org.grails.plugins#i18n;1.0: not found

 

                ::::::::::::::::::::::::::::::::::::::::::::::

 

 

 

:: USE VERBOSE OR DEBUG MESSAGE LEVEL FOR MORE DETAILS

Resolving [compile] dependencies...

:: resolving dependencies :: org.grails.internal#sipi;APP_VER

        confs: [compile]

        found org.codehaus.groovy#groovy-all;1.8.6 in cache

        found commons-beanutils#commons-beanutils;1.8.3 in cache

        found commons-el#commons-el;1.0 in cache

        found commons-validator#commons-validator;1.3.1 in cache

        found aopalliance#aopalliance;1.0 in cache

        found com.googlecode.concurrentlinkedhashmap#concurrentlinkedhashmap-lru;1.2_jdk5 in cache

        found commons-codec#commons-codec;1.5 in cache

        found commons-collections#commons-collections;3.2.1 in cache

        found commons-io#commons-io;2.1 in cache

        found commons-lang#commons-lang;2.6 in cache

        found javax.transaction#jta;1.1 in cache

        found org.hibernate.javax.persistence#hibernate-jpa-2.0-api;1.0.1.Final in cache

        found opensymphony#sitemesh;2.4 in cache

        found org.grails#grails-bootstrap;2.0.3 in cache

        found org.grails#grails-core;2.0.3 in cache

        found org.grails#grails-crud;2.0.3 in cache

        found org.grails#grails-hibernate;2.0.3 in cache

        found org.grails#grails-resources;2.0.3 in cache

        found org.grails#grails-spring;2.0.3 in cache

        found org.grails#grails-web;2.0.3 in cache

        found org.grails#grails-logging;2.0.3 in cache

        found org.grails#grails-plugin-codecs;2.0.3 in cache

        found org.grails#grails-plugin-controllers;2.0.3 in cache

        found org.grails#grails-plugin-domain-class;2.0.3 in cache

        found org.grails#grails-plugin-converters;2.0.3 in cache

        found org.grails#grails-plugin-datasource;2.0.3 in cache

        found org.grails#grails-plugin-filters;2.0.3 in cache

        found org.grails#grails-plugin-gsp;2.0.3 in cache

        found org.grails#grails-plugin-i18n;2.0.3 in cache

        found org.grails#grails-plugin-log4j;2.0.3 in cache

        found org.grails#grails-plugin-scaffolding;2.0.3 in cache

        found org.grails#grails-plugin-services;2.0.3 in cache

        found org.grails#grails-plugin-servlets;2.0.3 in cache

        found org.grails#grails-plugin-mimetypes;2.0.3 in cache

        found org.grails#grails-plugin-url-mappings;2.0.3 in cache

        found org.grails#grails-plugin-validation;2.0.3 in cache

        found org.springframework#spring-core;3.1.0.RELEASE in cache

        found org.springframework#spring-aop;3.1.0.RELEASE in cache

        found org.springframework#spring-aspects;3.1.0.RELEASE in cache

        found org.springframework#spring-asm;3.1.0.RELEASE in cache

        found org.springframework#spring-beans;3.1.0.RELEASE in cache

        found org.springframework#spring-context;3.1.0.RELEASE in cache

        found org.springframework#spring-context-support;3.1.0.RELEASE in cache

        found org.springframework#spring-expression;3.1.0.RELEASE in cache

        found org.springframework#spring-jdbc;3.1.0.RELEASE in cache

        found org.springframework#spring-jms;3.1.0.RELEASE in cache

        found org.springframework#spring-orm;3.1.0.RELEASE in cache

        found org.springframework#spring-tx;3.1.0.RELEASE in cache

        found org.springframework#spring-web;3.1.0.RELEASE in cache

        found org.springframework#spring-webmvc;3.1.0.RELEASE in cache

        found org.slf4j#slf4j-api;1.6.2 in cache

        found org.grails#grails-datastore-gorm;1.0.4.RELEASE in cache

        found org.grails#grails-datastore-core;1.0.4.RELEASE in cache

        found org.grails#grails-datastore-simple;1.0.4.RELEASE in cache

:: resolution report :: resolve 87ms :: artifacts dl 22ms

        ---------------------------------------------------------------------

        |                  |            modules            ||   artifacts   |

        |       conf       | number| search|dwnlded|evicted|| number|dwnlded|

        ---------------------------------------------------------------------

        |      compile     |   54  |   0   |   0   |   0   ||   54  |   0   |

        ---------------------------------------------------------------------

| Error Failed to resolve dependencies (Set log level to 'warn' in BuildConfig.groovy for more information):

 

- org.grails.plugins:data-source:1.0

- org.grails.plugins:i18n:1.0

 


3. As I don’t have any support from the software makers I was hoping to reproduce as much as I can the development environment they used, cause I have to tweak their code rather than start my own (wich would I prefer) ,…..

 

What do you think

 

Thank you very much.

julian

 

 

-----Mensaje original-----
De: Ian Roberts
[hidden email]
Enviado el: martes, 29 de mayo de 2012 10:35 a.m.
Para:
[hidden email]
Asunto: Re: [grails-user] myproj\plugins\datasources-0.5\DatasourcesGrailsPlugin.groovy: 14: unable to resolve class org.codehaus.groovy.grails.orm.hibernate.validation.HibernateDomainClassValidator

 

On 29/05/2012 16:20, Julian Andres Guarin Reyes wrote:

> Hi,

>

> I’m on charge of solving several problems on a Web application for a

> customer company. I took the last snapshot of the web application

> provided by the software company who wrote it and start figuring out

> things. First thing I figured out that it was made on Grails 1.0.4. So

> I downloaded the framework followed a couple tutorials and finally

> wall-hit-ed with this problem. I even have surfed google with the

> error message, but nevertheless I haven’t managed to figure out what it is.

 

http://grails.org/plugin/datasources suggests that version 0.5 of the datasources plugin requires Grails 1.1.1 or later.  You may need to try an earlier version of the plugin.

 

Ian

 

P.S. Just to warn you, Grails 1.0.x is considered "ancient history" and if you have any significant problems with it the most likely response from this list will be to ask whether it's possible to upgrade your application to a more recent version of Grails.  Upgrading from 1.0.x to 1.3.x or 2.0.x is not a trivial task by any means, but you may wish to consider it anyway if you're going to be doing any significant new development on your application.

 

--

Ian Roberts               | Department of Computer Science

[hidden email]  | University of Sheffield, UK

 

---------------------------------------------------------------------

To unsubscribe from this list, please visit:

 

    http://xircles.codehaus.org/manage_email